com.independentsoft.exchange

## Class ExtendedPropertyList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ExtendedProperty>
      - - com.independentsoft.exchange.ExtendedPropertyList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ExtendedProperty>, java.util.Collection<ExtendedProperty>, java.util.List<ExtendedProperty>, java.util.RandomAccess

      public class ExtendedPropertyList
      extends java.util.ArrayList<ExtendedProperty>

  The Class ExtendedPropertyList.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedPropertyList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtendedProperty` | `get(ExtendedPropertyPath propertyPath)` Gets the value associated with the specified property path.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ExtendedPropertyList

          public ExtendedPropertyList()

  - ### Method Detail

    - #### get

          public ExtendedProperty get(ExtendedPropertyPath propertyPath)

      Gets the value associated with the specified property path.
      Parameters:
        `propertyPath` - The path of the property we should get.
      Returns:
        the extended property